﻿#region Copyright Syncfusion Inc. 2001 - 2010
//
//  Copyright Syncfusion Inc. 2001 - 2010. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using System.ComponentModel;
using System.IO;
using System.Drawing;
using System.Data.OleDb;
using System.Text.RegularExpressions;

public partial class _Default : System.Web.UI.Page
{
    
    # region Page Load
    /// <summary>
    /// Handles page load
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
       
    }
    # endregion
    DataSet ds = new DataSet();
    # region Events
    /// <summary>
    /// Creates spreadsheet
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Button1_Click(object sender, EventArgs e)
    {
        WordDocument document = new WordDocument();
        document.EnsureMinimal();    
        //Initiating table object
        IWTable table = document.LastSection.AddTable();       
        //Setting rows and columns
        table.ResetCells(100, 2);
        //Creating another table to inesrt in first row.
        IWTable table1 = document.LastSection.AddTable();
        table1.ResetCells(1,1);
        //Adding second table in the first cell of first table
        table1.Rows[0].Cells[0].AddParagraph().AppendText("Static Table").CharacterFormat.Bold = true;
        table.Rows[0].Cells[0].ChildEntities.Add(table1);
        //Adding content in the second cell of first table.
        table.Rows[0].Cells[1].AddParagraph().AppendText("Header2").CharacterFormat.Bold = true;
        //Mark this rows as header row thereby it will be displayed in each and every pages.
        table.Rows[0].IsHeader = true;
        //Adding multiple rows to the table
        for (int i = 1; i < 100; i++)
        {          
            table.Rows[i].Cells[0].AddParagraph().AppendText("Cell1");
            table.Rows[i].Cells[1].AddParagraph().AppendText("Cell2");
        }


            if (rdButtonWord97To2003.Checked)
            {
                //Save as .doc Word 97-2003 format
                document.Save("Generate Word.doc", FormatType.Doc, Response, HttpContentDisposition.Attachment);
            }
            //Save as .docx Word2007 format
            else if (rdButtonWord2007.Checked)
            {
                try
                {
                    document.Save("Generate Word.docx", FormatType.Word2007, Response, HttpContentDisposition.Attachment);
                }
                catch (Win32Exception ex)
                {
                    Response.Write("Word 2007 is not installed in this system");
                    Console.WriteLine(ex.ToString());
                }
            }
            //Save as .docx Word2010 format
            else if (rdButtonWord2010.Checked)
            {
                try
                {
                    document.Save("Generate Word.docx", FormatType.Word2010, Response, HttpContentDisposition.Attachment);
                }
                catch (Win32Exception ex)
                {
                    Response.Write("Word 2010 is not installed in this system");
                    Console.WriteLine(ex.ToString());
                }
            }
            //Save as .docx Word2013 format
            else if (rdButtonWord2013.Checked)
            {
                try
                {
                    document.Save("Generate Word.docx", FormatType.Word2013, Response, HttpContentDisposition.Attachment);
                }
                catch (Win32Exception ex)
                {
                    Response.Write("Word 2013 is not installed in this system");
                    Console.WriteLine(ex.ToString());
                }
            }
    }    
    # endregion
    #region Helpher Methods
    /// <summary>
    /// Data folder path is resolved from requested page physical path
    /// </summary>
    /// <param name="fileName"></param>
    /// <returns></returns>
    protected string ResolveApplicationDataPath()
    {
        string dataPath = string.Format(Server.MapPath("~/App_Data"));
        return string.Format("{0}", dataPath);
    }
    #endregion
}
